mbedtls_x509write_cert Struct Reference
X.509 module

`#include <x509_crt.h>`

Collaboration diagram for mbedtls_x509write_cert:
[legend]

## Data Fields

int | version
mbedtls_mpi | serial
mbedtls_pk_context * | subject_key
mbedtls_pk_context * | issuer_key
mbedtls_asn1_named_data * | subject
mbedtls_asn1_named_data * | issuer
mbedtls_md_type_t | md_alg
char | not_before [MBEDTLS_X509_RFC5280_UTC_TIME_LEN+1]
char | not_after [MBEDTLS_X509_RFC5280_UTC_TIME_LEN+1]
mbedtls_asn1_named_data * | extensions

## Detailed Description

Container for writing a certificate (CRT)

Definition at line 131 of file x509_crt.h.

The documentation for this struct was generated from the following file:

- x509_crt.h